XkbFreeGeomColors(3)

NAME
XkbFreeGeomColors - Free geometry colors

SYNOPSIS

void XkbFreeGeomColors (XkbGeometryPtr geom, int first, int count, Bool free_all);

ARGUMENTS

geom
    geometry in which colors should be freed

first
    first color to be freed

count
    number of colors to be freed

free_all
    True => all colors are freed

DESCRIPTION

Xkb provides a number of functions to allocate and free subcomponents of a keyboard geometry. Use these functions to create or modify keyboard geometries. Note that these functions merely allocate space for the new element(s), and it is up to you to fill in the values explicitly in your code. These allocation functions increase sz_* but never touch num_* (unless there is an allocation failure, in which case they reset both sz_* and num_* to zero). These functions return Success if they succeed, BadAlloc if they are not able to allocate space, or BadValue if a parameter is not as expected.

If free_all is True, all colors are freed regardless of the value of first or count. Otherwise, count colors are freed beginning with the one specified by first.

DIAGNOSTICS

BadAlloc
    Unable to allocate storage

BadValue
    An argument is out of range